log4j.rootCategory=WARN,Memory,Console

log4j.appender.Memory=ch.jfactory.logging.MemoryAppender
log4j.appender.Memory.abortPriority=FATAL
log4j.appender.Memory.messagePriority=FATAL
log4j.appender.Memory.logPriority=DEBUG

log4j.appender.Console=org.apache.log4j.ConsoleAppender
log4j.appender.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.Console.layout.ConversionPattern=%d [%5p] %30C{1}:%4L %m%n

log4j.appender.Chainsaw=org.apache.log4j.net.SocketAppender
log4j.appender.Chainsaw.remoteHost=localhost
log4j.appender.Chainsaw.port=4445
log4j.appender.Chainsaw.locationInfo=true

log4j.appender.File=org.apache.log4j.FileAppender
log4j.appender.File.file=${user.home}/.hcd2/log/hcd.log
log4j.appender.File.append=false
log4j.appender.File.layout=org.apache.log4j.PatternLayout
log4j.appender.File.layout.ConversionPattern=%d [%5p] %30C{1}:%4L %m%n
